Bug 434696 - Add noauto capability to crypttab handling in rc.sysinit
Add noauto capability to crypttab handling in rc.sysinit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Triaged
: 506107 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 10:55 EST by Martin Poole
Modified: 2014-03-16 23:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 15:09:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple patch against f7 rc.sysinit to add noauto capability. (251 bytes, patch)
2008-02-24 10:55 EST, Martin Poole
no flags Details | Diff

  None (edit)
Description Martin Poole 2008-02-24 10:55:36 EST
Description of problem:

Crypttab code in rc.sysinit assumes all crypttab partition are always to be mounted.

I frequently use a second crypted partition for private material and only enable
it when needed. Unfortunately I am always prompted for the key on boot regardless.


Version-Release number of selected component (if applicable):

All


Attached is a simple patch against the f7 version of rc.sysinit which gives
noauto capability.
Comment 1 Martin Poole 2008-02-24 10:55:36 EST
Created attachment 295740 [details]
Simple patch against f7 rc.sysinit to add noauto capability.
Comment 2 Bug Zapper 2008-05-14 01:36:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 iarly selbir 2009-03-14 21:26:13 EDT
is this bug solved?

Give us a feedback

Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bill Nottingham 2009-03-16 13:16:02 EDT
This really doesn't need triaging - thanks!
Comment 5 Bug Zapper 2009-06-09 19:37:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Martin Poole 2009-06-11 05:50:10 EDT
Move to rawhide. Patch still basically valid as checked against F11.
Comment 7 Bill Nottingham 2009-06-15 17:13:58 EDT
*** Bug 506107 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2009-11-16 03:01:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ben Boeckel 2010-01-30 09:12:49 EST
Ping? I can confirm this still works in F12.
Comment 10 Bug Zapper 2010-11-04 08:02:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Martin Poole 2010-11-04 08:53:20 EDT
facility still not available in f14 GA
Comment 12 Bill Nottingham 2011-12-13 15:09:07 EST
This should be fixed with systemd's crypttab handling.

Note You need to log in before you can comment on or make changes to this bug.